//+------------------------------------------------------------------+
//|                                                 2MA_forAlert.mq4 |
//|                                      Copyright  2009, Fibook.ru |
//|                                             http://www.fibook.ru |
//+------------------------------------------------------------------+
/* ExtMa_method1, ExtMa_method2
   0 Simple moving average 
   1 Exponential moving average 
   2 Smoothed moving average 
   3 Linearly weighted moving average 

   ExtApplied_price1, ExtApplied_price2
   0 Close price 
   1 Open price 
   2 High price 
   3 Low price 
   4 Average price, (high+low)/2 
   5 Typical price, (high+low+close)/3 
   6 Weighted close price, (high+low+close+close)/4 

ExtShift1,ExtShift2 -   Shift of the indicator relative to the price chart.
*/
#property copyright "Copyright  2009, Fibook.ru"
#property link      "http://www.fibook.ru"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Green
//---- input parameters
extern int       ExtParamMA1=14;
extern int       ExtShift1=0;
extern int       ExtMa_method1=0;
extern int       ExtApplied_price1=0;
extern int       ExtParamMA2=28;
extern int       ExtShift2=0;
extern int       ExtMa_method2=1;
extern int       ExtApplied_price2=0;

//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   for (int i = Bars-100; i>0; i--)
         {
         ExtMapBuffer1 [i] = iMA(NULL,0,Period(),ExtShift1,ExtMa_method1,ExtApplied_price1,i);
         ExtMapBuffer2 [i] = iMA(NULL,0,Period(),ExtShift2,ExtMa_method2,ExtApplied_price2,i);
         }
//----
   return(0);
  }
//+------------------------------------------------------------------+